Subject: Re: 3c59x: shared interrupt problem

From: "Gerhard Pircher" <[email-masked]>
Date: Tue, 17 Mar 2009 10:37:55 +0100

-------- Original-Nachricht --------
> Datum: Sat, 14 Mar 2009 15:08:41 +0100
> Von: Steffen Klassert <[email-masked]>
> An: David Miller <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked], [email-masked]
> Betreff: Re: 3c59x: shared interrupt problem

> On Fri, Mar 13, 2009 at 03:51:16PM -0700, David Miller wrote:
> > > #### ChangeSet ####
> > > 2003-05-19 10:27:49-07:00, [email-masked] 
> > >   [PATCH] 3c59x irqreturn fix
> > >   
> > >   Apparently boomerang_interrupt() is generating lots of "nobody
> > >   cared" warnings - one per packet it seems.  Frankly, I don't have
> > >   a clue why.
> > >   
> > >   These are ancient cards and the driver is otherwise stable, so
> > >   just change it to return IRQ_HANDLED and move on...
> > 
> > So basically it's a band-aid because we didn't investigate why
> > this happens.
> > 
> > I think we should put the change in, and then look into things
> > properly if users report this issue again.
> > 
> 
> Gerhard reported at least one of these "nobody cared" messages at
> shutdown after applying this change. He wanted to provide us with
> further informations about this issue next week. Best would be to put
> it in together with a fix.
> So I would suggest to wait, perhaps we can fix it with his
> informations.
Okay, here's a small status update in order to show that I'm really
doing something. :)
Increasing the value of vortex_debug doesn't really help. It slows
down the network transfer too much to trigger the bug. Does somebody
know where to insert some printks in the driver to get a useful debug
output?
Bisecting shows that even v2.6.26-rc1 fails. But I have a v2.6.27-rc7
image that works fine!? Looks like I have to put more effort in
bisecting.

Gerhard
-- 
Psssst! Schon vom neuen GMX MultiMessenger gehört? Der kann`s mit allen: http://www.gmx.net/de/go/multimessenger01